#include<bits/stdc++.h>
using namespace std;

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	int n;
	cin >> n;
	int x[n],y[n],z[n],m[n+1] = {0},v[n+1] = {0};
	for(int i = 0; i < n;i++) cin >> x[i];
	for(int i = 0; i < n;i++) cin >> y[i];
	for(int i = 0; i < n;i++) cin >> z[i];
	for(int i = 0; i < n;i++) m[z[i]]++; 
	for(int i = 0; i < n;i++) v[y[i]]+=m[i+1];
	unsigned long long s = 0;
	for(int i = 0; i < n;i++)
	{
		s+=v[x[i]];
	}
	cout << s;
}